#include "fib_wrapper.h"
#include "fib.h"

/**
 * Instance of the Core class
 */
Fib::Core c_fib;

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * \fn FIB_Restart()
 * \brief Wrapper function to restart Fibonacci sequence
 */
void FIB_Restart()
{
	c_fib.Restart();
}

/**
 * \fn FIB_Calc()
 * \brief Wrapper function to compute the Fibonacci sequence
 */
int FIB_Calc(int seq)
{
	int result = 0;

	while (seq--) {
		result = c_fib.CalcNext();
	}

	return result;
}

#ifdef __cplusplus
}
#endif
